# mysql4 and apache1 seem problematic right now
# mysql5 OK
%def_without apache
%def_with cgi
%def_without mysql
%def_with sensors

Name: collectd
Version: 3.9.1
Release: alt0.M24.1

Summary: Statistics collection daemon for filling RRD files
License: GPL
Group: Monitoring

Url: http://verplant.org/collectd
Source0: %url/%name-%version.tar.bz2
Source1: %name.init
Patch0: collectd-3.9.0-alt-hddtemp.patch
Packager: Michael Shigorin <mike@altlinux.org>

Requires: rrdtool

# Automatically added by buildreq on Fri Apr 21 2006 (-bi)
BuildRequires: freetype2 gcc-c++ glibc-devel-static hostinfo librrd-devel libstdc++-devel python-base python-modules-compiler python-modules-encodings rpm-build-python rrd-perl

BuildRequires: kernel-headers-std

%if_with apache
BuildRequires: apache-devel
%endif

%if_with cgi
BuildRequires: perl-CGI apache-devel
%endif

%if_with mysql
BuildRequires: libMySQL-devel 
%endif

%if_with sensors
BuildRequires: libsensors-devel
%endif

%description
collectd is a small daemon written in C for performance. It reads various
system statistics and updates RRD files, creating them if neccessary.
Since the daemon doesn't need to startup every time it wants to update the
files it's very fast and easy on the system. Also, the statistics are very
fine grained since the files are updated every 10 seconds.

%if_with cgi
%package cgi
Summary: CGI script for collectd
Group: Monitoring
Requires: collectd = %version
Requires: apache-common

%description cgi
This CGI frontend for collectd allows to browse the stats online

WARNING: you might want to restrict access, there's no additional
restriction by default [yet]!
%endif

%if_with mysql
%package mysql
Summary: MySQL support module for collectd
Group: Monitoring
Requires: collectd = %version
Requires: libMySQL

%description mysql
This plugin for collectd provides querying of MySQL server
%endif

%if_with sensors
%package sensors
Summary: lm_sensors support module for collectd
Group: Monitoring
Requires: collectd = %version
Requires: lm_sensors

%description sensors
This plugin for collectd provides querying of sensors supported
by lm_sensors
%endif


%prep
%setup
%patch -p1


%build
CONFFLAGS="--disable-apple_sensors"

%if_without apache
CONFFLAGS="$CONFFLAGS --disable-apache"
%endif

%if_without mysql
CONFFLAGS="$CONFFLAGS --disable-mysql"
%endif

%if_without sensors
CONFFLAGS="$CONFFLAGS --disable-sensors"
%endif

%configure $CONFFLAGS
%make


%install
%make_install DESTDIR=%buildroot install
install -pD -m644 contrib/collectd.conf %buildroot%_sysconfdir/%name.conf
install -pD -m755 %SOURCE1 %buildroot%_initdir/%name
install -d %buildroot%_libdir/%name/ %buildroot%_localstatedir/%name/
rm -f %buildroot%_libdir/%name/*.a
rm -f %buildroot%_libdir/%name/*.la

%if_with cgi
install -pD -m755 contrib/collection.cgi %buildroot%apache_cgibindir/collection.cgi
%endif


%files
%doc AUTHORS ChangeLog README TODO
%doc contrib/
%config %_sysconfdir/%name.conf
%_initdir/%name
%_sbindir/%name
%_man1dir/*.1*
%_man5dir/*.5*
%dir %_libdir/%name/
%dir %_localstatedir/%name/
%_libdir/%name/*.so*

%if_with sensors
%exclude %_libdir/%name/sensors.so*
%endif

%if_with mysql
%exclude %_libdir/%name/mysql.so*
%endif


%if_with cgi
%files cgi
%apache_cgibindir/collection.cgi
%endif

%if_with mysql
%files mysql
%_libdir/%name/mysql.so*
%endif

%if_with sensors
%files sensors
%_libdir/%name/sensors.so*
%endif


# TODO:
# - cgi .htaccess or httpd.conf include
# - apache.c: figure out what's wrong,
#   supposedly they want apache2

%changelog
* Fri Apr 28 2006 Michael Shigorin <mike@altlinux.org> 3.9.1-alt0.M24.1
- 3.9.1

* Sun Apr 23 2006 Michael Shigorin <mike@altlinux.org> 3.9.0-alt1.M24.1
- built for M24
  + disabled mysql support by default, doesn't compile cleanly
    against 4.x
- macro control over modules (subpackages) built:
  apache, cgi, mysql, sensors (the rest is in the main package)

* Fri Apr 21 2006 Michael Shigorin <mike@altlinux.org> 3.9.0-alt1
- 3.9.0
- updated buildrequires for new plugins
- added mysql subpackage
- added cgi subpackage (WARNING: unrestricted out-of-box)
- patched hddtemp module regarding higher SCSI majors
- disabled apache support for the time being
- disabled apple sensors
- remove (unpackaged) *.la too

* Fri Apr 07 2006 Michael Shigorin <mike@altlinux.org> 3.8.3-alt1
- 3.8.3

* Wed Mar 15 2006 Michael Shigorin <mike@altlinux.org> 3.8.2-alt1
- 3.8.2
- built for Sisyphus
- sample configuration file taken from contrib/ now
  *and* moved to %_sysconfdir/%name.conf [3.8.1-1 spec]
- I've not got around to make this all work more out-of-box, spec fixes
  are welcome but maybe it's better as is (setup isn't that hard)

* Wed Mar 15 2006 Michael Shigorin <mike@altlinux.org> 3.8.0-alt1
- 3.8.0

* Tue Jan 31 2006 Michael Shigorin <mike@altlinux.org> 3.7.0-alt0.M24.1
- 3.7.0

* Mon Dec 19 2005 Michael Shigorin <mike@altlinux.org> 3.5.1-alt0.M24.1
- 3.5.1
- spec cleanup

* Mon Dec 05 2005 Michael Shigorin <mike@altlinux.org> 3.4.0-alt0.M24.1
- 3.4.0

* Wed Nov 09 2005 Michael Shigorin <mike@altlinux.org> 3.3.0-alt0.M24.1
- 3.3.0

* Thu Oct 27 2005 Michael Shigorin <mike@altlinux.org> 3.2.0-alt0.M24.1
- 3.2.0

* Mon Oct 17 2005 Michael Shigorin <mike@altlinux.org> 3.1.0-alt0.M24.1
- built for ALT Linux Master 2.4
- spec cleanup

* Fri Sep 30 2005 Florian octo Forster <octo@verplant.org> 3.0.0-1
- New upstream version
- Split the package into `collectd' and `collectd-sensors'

* Fri Sep 16 2005 Florian octo Forster <octo@verplant.org> 2.1.0-1
- New upstream version

* Mon Sep 10 2005 Florian octo Forster <octo@verplant.org> 2.0.0-1
- New upstream version

* Mon Aug 29 2005 Florian octo Forster <octo@verplant.org> 1.8.0-1
- New upstream version

* Sun Aug 25 2005 Florian octo Forster <octo@verplant.org> 1.7.0-1
- New upstream version

* Sun Aug 21 2005 Florian octo Forster <octo@verplant.org> 1.6.0-1
- New upstream version

* Sun Jul 17 2005 Florian octo Forster <octo@verplant.org> 1.5.1-1
- New upstream version

* Sun Jul 17 2005 Florian octo Forster <octo@verplant.org> 1.5-1
- New upstream version

* Mon Jul 11 2005 Florian octo Forster <octo@verplant.org> 1.4.2-1
- New upstream version

* Sat Jul 09 2005 Florian octo Forster <octo@verplant.org> 1.4-1
- Built on RedHat 7.3
